{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Print Dokumentasi</title>
    <style>
        .container-header{
            text-align: center;
        }
        .container-header h2, p{
            margin-top: -20px;
        }

        .logo-perusahaan{
            margin-top: 200px;
        }
        .container-gambar {
            page-break-before: always;
            text-align: center; /* Center align the images */
        }
        .fot_bawah {
            position: absolute;
            bottom: 20%;
            text-align: center;
            width: 100%;

        }
        .fot_bawah {
            position: absolute;
            bottom: 0;
            left: 0;
            width: 100%;
            text-align: center;
        }
        
        .fot_bawah a {
            font-size: 20px;
            font-weight: bold;
        }
        

        .container-gambar img {
            max-width: 450px;
            max-height: auto;
            margin-bottom: 30px; 
            margin-top: 30px;
        }

        .caption {
            font-style: italic;
            font-size: 12px;
        }
        
    </style>
    <link rel="stylesheet" type="text/css" href="{{url_app}}{% static 'admin/css/bootstrap.min.css' %}">
</head>
<body onload="window.print()">
    {% for dokumentasi in dt_doc %}
    <div class="container">
        <div class="container-header text-center">
            <h1>Dokumentasi Pekerjaan</h1>
            <h2>{{dokumentasi.SPK.perusahaan.namaperusahaan|title}}</h2>
            <p>{{dokumentasi.SPK.uraipekerjaan|title}}</p>
        
            <!-- Membungkus logo dengan div flex agar benar-benar tengah -->
            <div class="d-flex justify-content-center" style="margin-top: 300px;">
                <div class="d-flex justify-content-center align-items-center" style="width: 300px; height: auto; overflow: hidden; ">
                    <img src="{{url_app}}{{dokumentasi.SPK.perusahaan.logo.url}}" alt="Logo Perusahaan" class="w-100 h-100" style="object-fit: cover;">
                </div>
            </div>
        
            <div class="fot_bawah mt-3">
                <a>{{dokumentasi.SPK.opd.namaopd|title}}</a> <br>
                <a>{{dokumentasi.SPK.opd.tahun.tahun|title}}</a>
            </div>
        </div>
        
        <div class="container-gambar">
            <div class="image-1">
                <img src="{{url_app}}{{dokumentasi.bukti1.url}}" alt="">
                <p class="caption">( {{ dokumentasi.uraidoc }} )</p> 
            </div>
            <div class="image-2">
                <img src="{{url_app}}{{dokumentasi.bukti2.url}}" alt="">
                <p class="caption">( {{ dokumentasi.uraidoc }} )</p> 
            </div>
            <div class="image-3">
                <img src="{{url_app}}{{dokumentasi.bukti3.url}}" alt="">
                <p class="caption">( {{ dokumentasi.uraidoc }} )</p> 
            </div>
            <div class="image-4">
                <img src="{{url_app}}{{dokumentasi.bukti4.url}}" alt="">
                <p class="caption">( {{ dokumentasi.uraidoc }} )</p> 
            </div>
            <div class="image-5">
                <img src="{{url_app}}{{dokumentasi.bukti5.url}}" alt="">
                <p class="caption">( {{ dokumentasi.uraidoc }} )</p>
            </div>
            <div class="image-6">
                <img src="{{url_app}}{{dokumentasi.bukti6.url}}" alt="">
                <p class="caption">( {{ dokumentasi.uraidoc }} )</p> 
            </div>
        </div>
    </div>
    {% endfor %}
</body>
</html>
